ru.bitel.bgbilling.kernel.event.events

## Class ChangeContractLimitEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ChangeContractLimitEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ChangeContractLimitEvent
      extends LocalEvent

  Синхронное событие, которое бросается в момент попытки изменить лимит договора (как в ЛК, так и в клиенте биллинга) с целью поменять штатную логику понижения лимита (в зависимости от платежей, просрочек и вот этого вот всего). Если скрипт-обработки выставляет флаг processed=true, то тогда штатная логика не срабатывает.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ChangeContractLimitEvent()`
    `` | `ChangeContractLimitEvent(int contractId, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()` Возвращает сообщение, установленное скриптом.
    `boolean` | `isProcessed()` Возвращает признак обработанности события скриптом.
    `void` | `setMessage(java.lang.String message)` Установка сообщения скриптом, которое должно отобразиться пользователю.
    `void` | `setProcessed(boolean processed)` Установка флага обработанности события скриптом.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeContractLimitEvent

          protected ChangeContractLimitEvent()

    - #### ChangeContractLimitEvent

          public ChangeContractLimitEvent(int contractId,
                                          int userId)

  - ### Method Detail

    - #### isProcessed

          public boolean isProcessed()

      Возвращает признак обработанности события скриптом. В этом случае штатная лгика по изменению лимита договора не выполняется.
      Returns:
        processed - признак обработанности события. true - обработано, false - не обработано.

    - #### setProcessed

          public void setProcessed(boolean processed)

      Установка флага обработанности события скриптом.
      Parameters:
        `processed` - - флаг обработанности события скриптом

    - #### getMessage

          public java.lang.String getMessage()

      Возвращает сообщение, установленное скриптом.
      Returns:
        message сообщение

    - #### setMessage

          public void setMessage(java.lang.String message)

      Установка сообщения скриптом, которое должно отобразиться пользователю.
      Parameters:
        `message` - сообщение